Bug 171740 - ipw2100 modules crashes and restarts whenever in use
ipw2100 modules crashes and restarts whenever in use
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-10-25 16:21 EDT by Filipe Miranda
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-ieee80211-update.patch (119.96 KB, patch)
2005-10-31 10:35 EST, John W. Linville
no flags Details | Diff
jwltest-ipw2100-update.patch (61.73 KB, patch)
2005-10-31 10:35 EST, John W. Linville
no flags Details | Diff
jwltest-ipw2200-update.patch (529.21 KB, patch)
2005-10-31 10:36 EST, John W. Linville
no flags Details | Diff
cisco-vpnclient error messages (2.66 KB, text/plain)
2005-10-31 10:45 EST, Filipe Miranda
no flags Details
Sysreport from my machine (402.54 KB, text/plain)
2005-11-03 06:30 EST, Filipe Miranda
no flags Details
jwltest-ieee80211-update.patch (228.23 KB, patch)
2006-02-15 16:27 EST, John W. Linville
no flags Details | Diff
jwltest-ipw2100-update.patch (242.02 KB, patch)
2006-02-15 16:32 EST, John W. Linville
no flags Details | Diff
jwltest-ipw2200-update.patch (648.90 KB, patch)
2006-02-15 16:35 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Filipe Miranda 2005-10-25 16:21:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
I just installed RHEL ES 4 U2 on a IBM Thinkpad X31 and setup the wireless card.
It has a 02:02.0 Network controller: Intel Corporation PRO/Wireless LAN 2100 3B Mini PCI Adapter (rev 04).

To install the wireless support I just typed "up2date ipw2100" and it downloaded and installed the package from the official repositories from Red Hat Inc.
The installation was successful, and the wireless seems to be working just fine, but I noticed something that is not right in the /var/log/messages file:

I got TONS of messages like this: kernel: ipw2100: ipw2100: Fatal interrupt. Scheduling firmware restart.
And I also noticed that the wireless Icon monitor is always showing drops of the connection.

Is there a workaround for this problem? Or is this a kernel or ipw2100 bug?


Version-Release number of selected component (if applicable):
kernel-2.6.9-22.EL ipw2100-1.3.1

How reproducible:
Always

Steps to Reproduce:
1.Install RHEL ES 4 U2
2.up2date ipw2100
3.start to use the wireless connection
4.got lots of connection drops but the network seems to be working ok
  

Actual Results:  in the /var/log/messages file:

I got TONS of messages like this: kernel: ipw2100: ipw2100: Fatal interrupt. Scheduling firmware restart.

Expected Results:  no erros about it.

Additional info:
Comment 1 John W. Linville 2005-10-26 10:15:20 EDT
Which ipw2100 firmware package are you using? 
 
   rpm -qa | grep ipw2100-firmware 
 
Comment 2 Filipe Miranda 2005-10-26 16:20:29 EDT
Well, as I mentioned before, its ipw2100-firmware-1.3-1
Hope it helps!
If you need anyother info, let me know.
Comment 3 Filipe Miranda 2005-10-26 16:20:58 EDT
Well, as I mentioned before, its ipw2100-firmware-1.3-1
Hope it helps!
If you need anyother info, let me know.
Comment 4 John W. Linville 2005-10-28 10:21:45 EDT
I have test kernels w/ a bunch of wireless updates available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Would you mind giving them a try to see if they work any better for you?  
Thanks! 
Comment 5 Filipe Miranda 2005-10-28 14:00:21 EDT
Linville,

I used the following kernel: kernel-2.6.9-22.8.EL.jwltest.80.i686.rpm  	Kernel
for i686 systems on my IBM Thinkpad X31 Centrino, and my wireless worked perfectly.

When a official update will be available to RHEL4 ?
Congrats for a good job!

Att.
Filipe Miranda
Comment 6 John W. Linville 2005-10-31 10:31:57 EST
Filipe, 
 
Thanks for the information!  Unfortunately, we are probably too late to get 
this into Update 3.  Hopefully it will be in Update 4. 
 
Thanks again! 
Comment 7 John W. Linville 2005-10-31 10:35:10 EST
Created attachment 120571 [details]
jwltest-ieee80211-update.patch
Comment 8 John W. Linville 2005-10-31 10:35:53 EST
Created attachment 120572 [details]
jwltest-ipw2100-update.patch
Comment 9 John W. Linville 2005-10-31 10:36:44 EST
Created attachment 120573 [details]
jwltest-ipw2200-update.patch
Comment 10 Filipe Miranda 2005-10-31 10:45:05 EST
Created attachment 120574 [details]
cisco-vpnclient error messages
Comment 11 Filipe Miranda 2005-10-31 10:48:31 EST
Really?? That's too bad! U2 just came out, U3 will take 3-4 months, U4 will be
available in 7-8 months!! outch !! thats a lot of time to wait...
Is there something you can do about it?

Also, this patches fixes the ipw2100 problems but now my cisco-vpnclient
software wont compile anymore, I have attached the errors I get.
Is there something you can do about it?

Regards,
FTM
Comment 12 John W. Linville 2005-10-31 10:53:06 EST
Did you install the matching kernel-devel rpm from the location in comment 4? 
Comment 13 Filipe Miranda 2005-10-31 11:54:38 EST
Ops! My bad! Installed the kernel-devel and it works just fine the cisco-vpnclient.
But are you sure about the fix will not make to U3?

Regards,
FTM
Comment 14 Filipe Miranda 2005-11-03 06:27:01 EST
Linville,

I doing intensive testing file tranfers using my wireless card today and I
noticed that this Message still occurs:

kernel:ipw2100: Fatal Interrupt. Scheduling firmware restart.

The size of the files are something like 300MB, 500MB, and even a DVD transfer 4GB.
This message appears like after 10 seconds and slows down the transfer to almost
1/2 fo the B(11Mb) throughput.

When I tested and there were no errors I tested with small files.
I attached a sysreport (notice SELinux is enables but in permissive mode).

Thanks a lot
Comment 15 Filipe Miranda 2005-11-03 06:30:42 EST
Created attachment 120684 [details]
Sysreport from my machine
Comment 16 John W. Linville 2006-02-15 16:27:31 EST
Created attachment 124706 [details]
jwltest-ieee80211-update.patch
Comment 17 John W. Linville 2006-02-15 16:32:39 EST
Created attachment 124708 [details]
jwltest-ipw2100-update.patch
Comment 18 John W. Linville 2006-02-15 16:35:16 EST
Created attachment 124709 [details]
jwltest-ipw2200-update.patch
Comment 19 John W. Linville 2006-02-16 09:16:16 EST
Test kernels w/ the above patches available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
These are quite a bit later than the previous round, so hopefully they will 
work better for you.  Please give them a try and let me know the 
results...thanks! 
Comment 20 John W. Linville 2006-03-14 09:24:29 EST
Need feedback ASAP if this is going to be in U4... 
Comment 21 Filipe Miranda 2006-03-14 13:54:46 EST
Hi Lin,

I installed the kernel-2.6.9-34.2.EL.jwltest.123.i686.rpm package, loaded it up
and now if I try to load the wireless interface I get the message:

eth1: could not initialize WEP: load module ieee80211_crypt_wep
Error for wireless request "Set Encode" (8B2A) :
    SET failed on device eth1 ; Operation not supported.

So I rolledback to the kernel 2.6.9-34.EL and it worked just as before.
 
Comment 22 John W. Linville 2006-03-15 10:59:04 EST
Hmmm...are you by chance specifying a nickname for your wireless device?  In 
fact, ifup-wireless is probably specifying it for you... 
 
Can you comment-out the line in /etc/sysconfig/network-scripts/ifup-wireless 
that looks like this: 
 
   iwconfig $DEVICE nick "$NICKNAME" >/dev/null 2>&1 
 
Just put a "#" at the beginning of the line, and try again w/ the jwltest.123 
(or later) kernel?  Thanks! 
 
Comment 23 Filipe Miranda 2006-03-15 12:28:51 EST
Lin,

this is my configuration file:

cat /etc/sysconfig/network-scripts/ifcfg-home

DEVICE=eth1
BOOTPROTO=dhcp
ONBOOT=yes
TYPE=Wireless
DHCP_HOSTNAME=fmiranda.intranet.com
ESSID=TEST
KEY=11111000011100011


The error reported in my last post happens when I issue the folowing command:

ifup home

I can try to comment out the line DHCP_HOSTNAME=fmiranda.intranet.com, but it
will probably load it up from the DHCP server (since I have fixed ip addresses
for some machines on the network using the dhcp server). I will keep you posted.

Att.
Filipe
Comment 24 Filipe Miranda 2006-03-15 12:33:20 EST
Another issue: 
If I try to recompile que scr package using this command bellow I get the
following error:

rpmbuild --rebuild kernel-2.6.9-34.2.EL.jwltest.123.src.rpm
Installing kernel-2.6.9-34.2.EL.jwltest.123.src.rpm
   error: unpacking of archive failed on file     
/usr/src/redhat/SOURCES/patch-2.6.9-ac11.bz2;441850db: cpio: read
   error: kernel-2.6.9-34.2.EL.jwltest.123.src.rpm cannot be installed

Is this the correct behavior? or what Am I doing wrong in this case?


Att.
Filipe Miranda
Comment 25 John W. Linville 2006-03-15 12:48:51 EST
re: comment 23 -- ifup home is calling ifup-wireless behind the scenes.  
Please make the change outlined in comment 22 and try again. 
 
re: comment 24 -- if I had to guess, it looks like maybe you don't have enough 
space in the filesystem that holds /usr/src/redhat? 
Comment 26 Filipe Miranda 2006-03-15 12:55:38 EST
Lin,

There is enough space in the FS that holds /usr/src/redhat

#df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/hda2             7.7G  3.7G  3.7G  51% /
/dev/hda1              99M   14M   81M  15% /boot
none                  506M     0  506M   0% /dev/shm
/dev/hda5              28G   13G   16G  44% /home


I commented the line you specified and no success.

I tried to comment out the line I suggested and no success.

I tried to load the wireless interface manually and no success:

iwconfig eth1 essid TEST
iwconfig eth1 key 1111111000001111 and I the the same error after I enter this
command line.

Att.
Filipe Miranda
Comment 27 John W. Linville 2006-03-16 09:41:41 EST
Re: rpmbuild -- I think you need "--target=i686" on the command line, maybe 
that will help? 
 
Regarding the WEP thing, does the device work (other than the error message)?  
What about if you disable WEP entirely?  Does it work then? 
Comment 28 Filipe Miranda 2006-03-16 10:19:42 EST
Lin,

rpmbuild --rebuild --target=i686 kernel-2.6.9-34.2.EL.jwltest.123.src.rpm
Installing kernel-2.6.9-34.2.EL.jwltest.123.src.rpm
error: unpacking of archive failed on file
/usr/src/redhat/SOURCES/patch-2.6.9-ac11.bz2;44198345: cpio: read
error: kernel-2.6.9-34.2.EL.jwltest.123.src.rpm cannot be installed
Comment 29 John W. Linville 2006-03-17 10:14:52 EST
The source rpms work fine here...perhaps they got corrupted when you 
downloaded them?  Did you test them against the md5sums published with them? 
 
If the md5sums are OK, I can only guess that you have a problem on the local 
machine, like not enough space in /tmp? 
Comment 30 John W. Linville 2006-03-21 16:37:14 EST
I had botched the config, so the wep module was not getting built.  These 
kernels should have the wep module: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please give them a try and post the results here...thanks! 
Comment 31 Filipe Miranda 2006-03-21 20:21:20 EST
Lin,

This new release you posted seems to work pretty good. I downloaded the src
recompiled on my thinpad nad its working just fine!

One issue so far, the network monitor from gnome, wont detect the wifi interface
as wifi interface anymore b/c there is no wifi signal strengh icon.

I transfered over 1.0GB of data over wifi using your kernel and no wifi driver
restarts. 

Good Job, will these fixes be part of RHEL4 U4? Also did you try anyother type
of encription support for this driver? Like WPA?

Att.
Filipe Miranda
Comment 33 Jason Baron 2006-04-25 22:05:21 EDT
committed in stream U4 build 34.24. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 37 Red Hat Bugzilla 2006-08-10 17:27:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.